<?php
/**
 * BookiFlex Notification Extension
 *
 * @package    BookiFlex
 * @subpackage Notification
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Extensions\Notification\Model;

defined( 'ABSPATH' ) || exit;

enum Recipient: string
{
    case Client  = 'client';
    case Manager = 'manager';

    public function isEqual(Recipient $recipient): bool
    {
        return $this->value === $recipient->value;
    }
}
